package com.zcloud.zcGbsServicer.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.zcGbsServicer.dto.FireBrigadeAddCmd;
import com.zcloud.zcGbsServicer.dto.FireBrigadeOnlineStatusQry;
import com.zcloud.zcGbsServicer.dto.FireBrigadePageQry;
import com.zcloud.zcGbsServicer.dto.FireBrigadeUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.FireBrigadeCO;
import com.zcloud.zcGbsServicer.dto.clientobject.FireBrigadeOnlineStatusCO;

import java.util.List;

public interface FireBrigadeServiceI {

    PageResponse<FireBrigadeCO> listPage(FireBrigadePageQry qry);

    SingleResponse<List<FireBrigadeOnlineStatusCO>> queryOnlineStatus(FireBrigadeOnlineStatusQry qry);

    SingleResponse<FireBrigadeCO> add(FireBrigadeAddCmd cmd);

    void edit(FireBrigadeUpdateCmd cmd);

    FireBrigadeCO get(Long id);

    void remove(Long id);
}
